Ask / Submit
23

pulse audio 12.x for Sailfish X [released]

Tracked by Jolla (In release)

asked 2018-09-28 17:38:14 +0300

deloptes gravatar image

updated 2019-04-27 13:19:19 +0300

Hi I am wondering if someone could compile PA 12.x. I am really very thankful to Jolla for providing 11.1, however it was too late already to report that there were still issues with 11.1. My issues were gone after installing 11.99 on my desktop, but someone suggested to go for 12.2 (as discussed here)

Can this issue be discussed. I am confident that it will improve the overall experience, performance and stability especially in the context of bluetooth or multiple audio sources and /or targets.

Thank you in advance

###Update: 20190412###

configured SDK 3.0.2.8 and just for fun did git pull on the pulseaudio code (https://git.merproject.org/mer-core/pulseaudio/). Surprise surprise it is already on 12.2 and It compiles without asking stupid questions like before, but when I try installing it says

pkcon install-local pulseaudio-12.2-1.armv7hl.rpm pulseaudio-debuginfo-12.2-1.armv7hl.rpm

Installing files
Testing changes
Finished
Fatal error: This request will break your system!
enter code here

Next to follow up with all pulseaudio related packages here https://wiki.merproject.org/wiki/SailfishOSS

###Update: 20190427###

Release notes 3.0.3 PA12

edit retag flag offensive reopen delete

The question has been closed for the following reason "released in a software update" by Edz
close date 2019-05-02 21:07:33.587388

Comments

1

Sorry I'm new compiling ARM stuff, but does anyone know if the suse compiled version is directly usable in Sailfish somehow? https://build.opensuse.org/package/binaries/multimedia:libs/pulseaudio/openSUSE_Factory_ARM

BT problems are getting annoying... If SFOS 3 doesn't ship with PA 12.x I may also dive into deep end with this.

Nrde ( 2018-10-18 11:09:40 +0300 )edit
1

When I tried compiling 11.1 I was asked to provide some device specific file and was advised to ask a community or Jolla member for assistance.

I do not think that version compiled not with the SDK works, but you can always revert back after trying out.

I agree BT is PITA, but I also saw Jolla is looking for BT or PA developers, so it might be that they recognize the priority.

deloptes ( 2018-10-18 19:53:12 +0300 )edit

Does zypper install blabla.rpm also throw such warnings/errors? But maybe we are also lucky and PA12 will hit with 3.0.3 ?

bomo ( 2019-04-13 02:18:52 +0300 )edit

I read zypper should be used on SDK or emulation only - on the phone opne should use pkcon, however the thing is that there are couple of other pulseaudio packages (like modules and hardware related) that need to be build with against version of pulse audio.

I am using 12.2 on my desktop and I am very satisfied. Hopefully we get it soon or I succeed finally with the build.

deloptes ( 2019-04-13 09:53:00 +0300 )edit

1 Answer

Sort by » oldest newest most voted
18

answered 2019-04-13 03:39:21 +0300

PA 12.2 will be included in sailfishos 3.0.3

edit flag offensive delete publish link more

Comments

3

Good news - when is possible release of 3.0.3 on the road map?

deloptes ( 2019-04-13 09:50:07 +0300 )edit

Early May if no major drawbacks.

jovirkku ( 2019-04-15 17:19:23 +0300 )edit

thank you, great news, lets wait then and hope for the better.

deloptes ( 2019-04-17 12:29:27 +0300 )edit

Just checked RN, do you know why it is not included?

deloptes ( 2019-04-27 12:55:33 +0300 )edit
1

Question tools

Follow
4 followers

Stats

Asked: 2018-09-28 17:38:14 +0300

Seen: 939 times

Last updated: Apr 27